#
# spec file for package man-pages-fr
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


# Source file has sometimes a revision number (major.minor-revision).
# If not, replace by the nil macro
%define revision -1

Name:           man-pages-fr
Version:        3.70
Release:        lp151.2.1
Summary:        LDP man Pages (French)
License:        GPL-2.0 and GPL-2.0+ and BSD-3-Clause and GFDL-1.1 and GFDL-1.2
Group:          Documentation/Man
Url:            http://traduc.org/
Source:         http://perkamon.alioth.debian.org/archives/%{version}/man-pages-fr-%{version}%{revision}.tar.xz
Suggests:       man-pages-fr-extra
Provides:       locale(man-pages:fr)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
These are the French man pages of the Linux Documentation Project. Note
that they are normally older than the English versions. For reference,
you should use the English versions.

%prep
%setup -q -n fr

%build

%install
mkdir -p %{buildroot}%{_mandir}/fr
for section in man? ; do
  mkdir -p %{buildroot}%{_mandir}/fr/$section
  install -m 644 $section/* %{buildroot}%{_mandir}/fr/$section
done
%find_lang %{name} --with-man --all-name

%files -f %{name}.lang
%defattr(-,root,root)
%doc README.fr

%changelog
* Thu Sep 29 2016 antoine.belvire@opensuse.org
- Add 'Provides: locale(man-pages:fr)' so that the package is
  automatically installed when locale is French.
- Add 'Suggests: man-pages-fr-extra'. It might be turned into
  'Recommends' in the future.
* Thu Dec 25 2014 antoine.belvire@opensuse.org
- Update to 3.70-1 from project Perkamon (unique active project
  since… 2010)
* Tue Oct 14 2014 jengelh@inai.de
- Use souce URLs and remove ancient specfile tags/sections
- Remove useless AutoReqProv: off (there are no binaries in here
  anyway)
* Fri Mar 30 2012 cfarrell@suse.com
- license update: GPL-2.0 and GPL-2.0+ and BSD-3-Clause and GFDL-1.1 and
  GFDL-1.2
  SPDX format for aggregation
* Mon Sep 21 2009 crrodriguez@suse.de
- tag localized man pages correctly
* Thu Sep  4 2008 pgajdos@suse.cz
- updated to version 3.03.0
* Mon Jan 14 2008 pgajdos@suse.cz
- fixed get_version_number.sh and man-pages-fr.spec.in according to
  source name change
* Sat Apr  1 2006 sndirsch@suse.de
- added missing locale provides (Bug #161867)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 26 2004 kukuk@suse.de
- Build as user
* Thu Aug 28 2003 ro@suse.de
- updated specfile
* Tue Aug 19 2003 ro@suse.de
- source packing changed to bz2
* Mon May 12 2003 ro@suse.de
- use defattr
* Sun Jan 19 2003 ro@suse.de
- fix spec
* Mon Nov 18 2002 ro@suse.de
- removed lpr/lprm/lpq man pages (conflict with cups)
* Mon May  6 2002 ro@suse.de
- renamed to man-pages-fr
* Sun Jan 14 2001 ro@suse.de
- fixed file list
* Mon Oct 30 2000 ro@suse.de
- group sorted
* Sat Mar  4 2000 bs@suse.de
- moved man pages to /usr/share
* Mon Jun  7 1999 bs@suse.de
- made package "noarch"
